Package org.stianloader.micromixin.transform.internal.annotation

## Class MixinOverwriteAnnotation

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.annotation.MixinAnnotation<T>
  - - org.stianloader.micromixin.transform.internal.annotation.AbstractOverlayAnnotation<MixinMethodStub>
    - - org.stianloader.micromixin.transform.internal.annotation.MixinOverwriteAnnotation

- All Implemented Interfaces:
    `java.lang.Comparable<MixinAnnotation<MixinMethodStub>>`

      public final class MixinOverwriteAnnotation
      extends AbstractOverlayAnnotation<MixinMethodStub>

- - ### Field Summary

    - ### Fields inherited from class org.stianloader.micromixin.transform.internal.annotation.AbstractOverlayAnnotation

      `logger`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MixinOverwriteAnnotation` | `generateImplicit​(org.objectweb.asm.tree.ClassNode node, org.objectweb.asm.tree.MethodNode method, MixinLoggingFacade logger)` |
    `java.lang.String` | `getDesiredName​(MixinMethodStub source, org.objectweb.asm.tree.ClassNode target, SimpleRemapper remapper, java.lang.StringBuilder sharedBuilder)` |
    `boolean` | `handleCollision​(MixinMethodStub source, org.objectweb.asm.tree.ClassNode target, int access)` | Method that is called if the source collides with an already existing member.
    `static MixinOverwriteAnnotation` | `parse​(org.objectweb.asm.tree.ClassNode node, org.objectweb.asm.tree.MethodNode method, org.objectweb.asm.tree.AnnotationNode annot, MixinLoggingFacade logger)` |

    - ### Methods inherited from class org.stianloader.micromixin.transform.internal.annotation.AbstractOverlayAnnotation

      `apply, collectMappings`

    - ### Methods inherited from class org.stianloader.micromixin.transform.internal.annotation.MixinAnnotation

      `compareTo, isCompatible, validateMixin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### generateImplicit

          @NotNull
          public static MixinOverwriteAnnotation generateImplicit​(@NotNull
                                                                  org.objectweb.asm.tree.ClassNode node,
                                                                  @NotNull
                                                                  org.objectweb.asm.tree.MethodNode method,
                                                                  @NotNull
                                                                  MixinLoggingFacade logger)
                                                           throws MixinParseException

      Throws:
        `MixinParseException`

    - #### parse

          @NotNull
          public static MixinOverwriteAnnotation parse​(@NotNull
                                                       org.objectweb.asm.tree.ClassNode node,
                                                       @NotNull
                                                       org.objectweb.asm.tree.MethodNode method,
                                                       @NotNull
                                                       org.objectweb.asm.tree.AnnotationNode annot,
                                                       @NotNull
                                                       MixinLoggingFacade logger)
                                                throws MixinParseException

      Throws:
        `MixinParseException`

    - #### handleCollision

          public boolean handleCollision​(@NotNull
                                         MixinMethodStub source,
                                         @NotNull
                                         org.objectweb.asm.tree.ClassNode target,
                                         int access)

      Description copied from class: `AbstractOverlayAnnotation`
      Method that is called if the source collides with an already existing member.
      Specified by:
        `handleCollision` in class `AbstractOverlayAnnotation<MixinMethodStub>`
      Parameters:
        `source` - The source handler
        `target` - The target class
        `access` - The access modifiers of the member that already exists.
      Returns:
        True to overwrite the member, false to abort overlaying.

    - #### getDesiredName

          @NotNull
          public java.lang.String getDesiredName​(@NotNull
                                                 MixinMethodStub source,
                                                 @NotNull
                                                 org.objectweb.asm.tree.ClassNode target,
                                                 @NotNull
                                                 SimpleRemapper remapper,
                                                 @NotNull
                                                 java.lang.StringBuilder sharedBuilder)

      Specified by:
        `getDesiredName` in class `AbstractOverlayAnnotation<MixinMethodStub>`